> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Consume Custody Commission

> Consume a custody commission



## OpenAPI

````yaml /openapi.json post /custody-commissions/consume
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /custody-commissions/consume:
    post:
      tags:
        - Custody Commission
      summary: Consume Custody Commission
      description: Consume a custody commission
      operationId: consumeCustodyCommission
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsumeCustodyCommission'
      responses:
        '200':
          description: The custody commission has been successfully consumed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustodyCommission'
        '404':
          description: >-
            The custody commission could not be found or has already been
            consumed
components:
  schemas:
    ConsumeCustodyCommission:
      type: object
      properties:
        identifier:
          type: string
          description: The identifier of the custody commission to consume
          example: commission123
        consumedBy:
          type: string
          description: The ID of the consumer consuming the commission
          example: consumer123
      required:
        - identifier
        - consumedBy
    CustodyCommission:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the custody commission
          example: 123e4567-e89b-12d3-a456-426614174000
        identifier:
          type: string
          description: The unique identifier for this commission
          example: commission123
        registeredConsumers:
          description: List of registered consumer IDs
          example:
            - consumer1
            - consumer2
          type: array
          items:
            type: string
        createdAt:
          format: date-time
          type: string
          description: When the custody commission was created
          example: '2024-03-20T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: When the custody commission was last updated
          example: '2024-03-20T12:00:00Z'
      required:
        - id
        - identifier
        - registeredConsumers
        - createdAt
        - updatedAt

````